<?php
c_include('enlace');
e_include('ext_musica/class/album');

class IdElementInputalbum
{
	protected $_enlace=null;
	protected $_vista=null;
	protected $_opciones=null;
	
	public function __construct($enlace=null,$vista=null, $opciones=array())
    {
		if (!empty($enlace) && !empty($vista)){
			$this->_enlace = $enlace;
			$this->_vista = $vista;
			$this->_opciones = $opciones;
		}
	}
	
	function getInput(){
		if (($this->_enlace==null) || ($this->_vista==null))
			return '';
			
		$rand = rand();
		
		$output = '<div class="panel-body">';
		$output .= '<label id="id_elemento_enlace-lbl" for="id_elemento_enlace" class="tip-e" title="'.__('Album').'::'.__('Album a mostrar en la página').'">'.__('Album').'</label>';
		$output .= '<br clear="all" />';
		if (empty($this->_opciones)){
			$albums = new Album();
			$albums_count = $albums->ListarCount('estado=1');
			$albums = $albums->Listar('estado=1','titulo','ASC');
			
			$output .= '<select name="id_elemento_enlace" id="id_elemento_enlace_'.$rand.'" class="select2">';
			if ($albums_count > 0){
				foreach ($albums as $album){
					if ($album->id == $this->_enlace->id_elemento){
						$txt_selected = ' selected="selected"';
					} else {
						$txt_selected = '';
					}
					$output .= '<option value="'.$album->id.'"'.$txt_selected.'>'.SistemaIdioma::Imprimir($album->titulo).'</option>';
				}
			} else {
				$output .= '<option value="-1">'.__('No hay albums').'</option>';
			}
			$output .= '</select>';
		}
		$output .= '</div>';
		return $output;
	}
}