<?php
c_include('enlace');
e_include('ext_articulos/class/categoria');

class IdElementInputhome
{
	protected $_enlace=null;
	protected $_vista=null;
	protected $_opciones=null;
	
	public function __construct($enlace=null,$vista=null, $opciones=array())
    {
		if (!empty($enlace) && !empty($vista)){
			$this->_enlace = $enlace;
			$this->_vista = $vista;
			$this->_opciones = $opciones;
		}
	}
	
	function getInput(){
		if (($this->_enlace==null) || ($this->_vista==null))
			return '';
			
		$rand = rand();
		
		$output = '';
		$output .= '<label id="id_elemento_enlace-lbl" for="id_elemento_enlace" class="tip-e" title="'.__('Categoría').'::'.__('Categoría a mostrar en la página').'">'.__('Categoría').'</label>';
		$output .= '<br clear="all" />';
		if (empty($this->_opciones)){
			$categorias = new Categoria();
			$categorias_count = $categorias->ListarCount('estado=1');
			$categorias = $categorias->Listar('estado=1','nombre','ASC');
			
			$output .= '<select name="id_elemento_enlace" id="id_elemento_enlace_'.$rand.'">';
			if ($categorias_count > 0){
				foreach ($categorias as $categoria){
					if ($categoria->id == $this->_enlace->id_elemento){
						$txt_selected = ' selected="selected"';
					} else {
						$txt_selected = '';
					}
						$txt_padre = '('.$categoria->getpadre(true).')';
					$output .= '<option value="'.$categoria->id.'"'.$txt_selected.'>'.SistemaIdioma::Imprimir($categoria->nombre).' '.$txt_padre.'</option>';
				}
			} else {
				$output .= '<option value="-1">'.__('No hay artículos').'</option>';
			}
			$output .= '</select>';
		}
		return $output;
	}
}