<?php
/**
 * Modelo del artículo, permite manejar los artículos de forma fácil
 *
 * @package		Mideas.Muzzim
 * @subpackage	Model
 * @since		1.0
 */

class ArtistaModel extends DetalleModel {
	protected $global_main_class = 'musica';
	
	protected $ext_folder = 'ext_musica';
	
	protected $categoria_class = 'EstiloMusica';
	protected $item_class = 'Artista';
	
	protected $categoria_vista = 'estilo_musica';
	protected $item_vista = 'artista';
	
	function __construct($id=''){
		parent::__construct($id);
	}
	
	public function includes(){
		c_include('enlace');
		e_include('ext_musica/class/artista','ext_musica/class/estiloMusica');
	}
}