<?php
defined('CONF_URL_APP') or die;

$texto_corto = SistemaIdioma::Imprimir($this->album->objeto->texto_corto);
$contenido = SistemaIdioma::Imprimir($this->album->objeto->contenido);

$params_vista = $this->album->objeto->parametros_vista;

$titulo = SistemaIdioma::Imprimir($this->album->titulo);

$img_dest = $this->album->objeto->getimagen_destacada();

$params_album = Helpers::toArray(json_decode($this->album->objeto->params));

$artista_album = $this->album->objeto->getartista(false,true);
?>

<div class="artistas_album album-detail">
  <div class="row"> 
    <!-- Image Post -->
    <div class="col-md-12">
      <?php if ($params_vista["mostrar_titulo"] == '1') { ?>
      <h2 class="page-header"><?php echo $titulo; ?></h2>
      <?php } ?>
    </div>
    <div class="col-md-12 contenido">
      <div class="row">
        <div class="col-sm-4">
          <div class="album-purchase">
            <?php if ($this->album->objeto->getimagen_destacada(400, 400) != '' && $params_vista["mostrar_imagen"] == '1') { ?>
            
            <!-- Mini SLide -->
            <div id="carousel-artistas-album" class="carousel slide" data-ride="carousel">
              <div class="carousel-inner">
                <div class="item active"> <a href="<?php echo $this->album->objeto->imagen_destacada; ?>" class="fancybox thumbnail" style="margin-bottom:0;"><img src="<?php echo $this->album->objeto->getimagen_destacada(400, 400); ?>" alt="<?php echo $titulo; ?>" width="100%" /></a> </div>
                <?php if (is_array($params_album['galeria']) && sizeof($params_album['galeria']) > 0 && $params_vista['mostrar_galeria_imagenes'] == '1') { ?>
                <?php
                            foreach ($params_album['galeria'] as $img) {
                                if (is_object($img))
                                    $img = Helpers::toArray($img);
                                ?>
                <?php
                                $tipo = mime_content_type($img['img']);
                                $img['img'] = str_replace(CONF_URL_APP, '', $img['img']);
                                ?>
                <div class="item"> <a href="<?php echo $img['img']; ?>" class="fancybox thumbnail" style="margin-bottom:0;"><img src="<?php echo Helpers::generateImageLink($img['img'], 666, 277); ?>" alt="<?php echo $img['titulo']; ?>" width="100%" /></a> </div>
                <?php } ?>
                <?php } ?>
              </div>
            </div>
            <!-- End Mini SLide -->
            <?php } ?>
            <?php if (is_object($artista_album)){?>
            <a class="btn btn-xs" href="<?php echo $artista_album->url_formateada;?>"><i class="fa fa-users"></i> <b><?php echo $artista_album->titulo_formateado;?></b></a>
            <?php } ?>
            <?php if ($params_vista['mostrar_categorias'] == '1'){?>
            <div class="album-purchase-li" title="<?php echo __('Estilos de música');?>"><i class="fa fa-music"></i> <b><?php echo $this->album->objeto->getcategorias(true);?></b></div>
            <?php } ?>
            <div class="album-purchase-li" title="<?php echo __('Fecha de publicación');?>"><i class="fa fa-calendar"></i> <b><?php echo strftime(SistemaIdioma::formatoFecha(), strtotime($this->album->objeto->fecha_publicacion));?></b></div>
            <?php if (!empty($params_album['buy_link'])){?>
            <a class="btn btn-sm" href="<?php echo $params_album['buy_link'];?>" target="_blank"><i class="fa fa-shopping-cart"></i> <b><?php echo __('Comprar');?></b></a>
            <?php } ?>
            <?php if (!empty($params_album['itunes_link'])){?>
            <a class="btn btn-sm" href="<?php echo $params_album['itunes_link'];?>" target="_blank"><i class="fa fa-music"></i> <b><?php echo __('iTunes');?></b></a>
            <?php } ?>
            <?php if (!empty($params_album['jamendo_link'])){?>
            <a class="btn btn-sm" href="<?php echo $params_album['jamendo_link'];?>" target="_blank"><i class="fa fa-music"></i> <b><?php echo __('Jamendo');?></b></a>
            <?php } ?>
            <?php if (!empty($params_album['amazon_link'])){?>
            <a class="btn btn-sm" href="<?php echo $params_album['amazon_link'];?>" target="_blank"><i class="fa fa-shopping-cart"></i> <b><?php echo __('Amazon');?></b></a>
            <?php } ?>
          </div>
        </div>
        <div class="col-sm-8">
          <?php if (!empty($contenido)) { ?>
          <div class="<?php echo $GLOBALS['AppTpl']->params['clase_panel']; ?>">
            <div class="<?php if (!empty($GLOBALS['AppTpl']->params['clase_panel'])) { ?>panel-body<?php } ?>"> <?php echo $contenido; ?> </div>
          </div>
          <?php } ?>
          <?php if (!empty($this->album->objeto->tags) && $params_vista['mostrar_tags'] == '1') { ?>
          <div class="tags_list">
            <?php /* ?><h4><?php echo __('Etiquetas');?></h4><?php */ ?>
            <div class="in_tags_list" style="margin-bottom:20px;"> <?php echo $this->album->objeto->gettags(true, ' label label-primary', ' '); ?> </div>
          </div>
          <?php } ?>
          <?php 
		  $pistas = $this->album->objeto->getPistasAlbum();
		  
		  if ($pistas != false){?>
          
          <table class="table table-striped">
      <thead>
        <tr>
          <th><?php echo __('título');?></th>
          <th><?php echo __('escuchar');?></th>
          <th><?php echo __('duración');?></th>
          <th><?php echo __('comprar');?></th>
        </tr>
      </thead>
      <tbody>
    
    
                <?php
			  foreach ($pistas as $pista){
                  ?>
                <tr>
                  <td><?php echo SistemaIdioma::Imprimir($pista->titulo);?></td>
                  <td><?php if (!empty($pista->url)){?> <a href="javascript:;"> <i class="icon-play"></i></a> <?php } ?></td>
                  <td><?php echo $pista->duracion;?></td>
                  <td><a href="<?php echo $params_album['buy_link'];?>" target="_blank"><i class="icon-shopping-cart"></i><?php echo __('comprar disco');?></a></td>
                </tr>
                <?php } ?>
      </tbody>
    </table>
    
          <div class="album-tracks" style="margin-bottom: 15px;">
            <h1><?php echo __('canciones del disco');?></h1>
            <div id="track_player"></div>
            <div class="track">
              <ul>
                <li class="track-head">
                  <div class="track_title"><?php echo __('título');?></div>
                  <div class="track_listen"><?php echo __('escuchar');?></div>
                  <div class="track_time"><?php echo __('duración');?></div>
                  <div class="track_buy"><?php echo __('comprar');?></div>
                </li>
                <?php
			  foreach ($pistas as $pista){
                  ?>
                <li>
                  <div class="track_title"><?php echo SistemaIdioma::Imprimir($pista->titulo);?></div>
                  <div class="track_listen"><?php if (!empty($pista->url)){?> <a href="javascript:;"> <i class="icon-play"></i></a> <?php } ?></div>
                  <div class="track_time"><?php echo $pista->duracion;?></div>
                  
                  <div class="track_buy"><a href="<?php echo $params_album['buy_link'];?>" target="_blank"><i class="icon-shopping-cart"></i><?php echo __('comprar disco');?></a></div>
                </li>
                <?php } ?>
              </ul>
            </div>
            <!--track-->
            <div class="clearfix"></div>
          </div>
          <?php } ?>
          <?php if (!empty($this->album->campos_extra) && is_array($this->album->campos_extra) && $params_vista['mostrar_campos_extra'] == '1') { ?>
          <h4><?php echo __('Otros datos'); ?></h4>
          <div class="<?php echo $GLOBALS['AppTpl']->params['clase_panel']; ?> campos_extra_list">
            <div class="in_campos_extra_list">
              <?php foreach ($this->album->campos_extra as $campo) { ?>
              <div class="panel-body">
                <div class="row">
                  <div class="col-xs-4">
                    <label><?php echo SistemaIdioma::Imprimir($campo->etiqueta); ?></label>
                  </div>
                  <div class="col-xs-8"><?php echo $campo->renderFrontEnd(false); ?></div>
                </div>
              </div>
              <?php } ?>
            </div>
          </div>
          <?php } ?>
        </div>
        <div class="col-sm-12">
          <div class="<?php echo $GLOBALS['AppTpl']->params['clase_panel']; ?>">
            <div class="">
              <div class="pull-right">
                <?php
                        if (is_array($this->album->objeto->urls_compartir) && sizeof($this->album->objeto->urls_compartir) > 0) {
                            foreach ($this->album->objeto->urls_compartir as $app_name => $share_array) {
                                echo sprintf($share_array['link_html'], 'btn btn-sm btn-default');
                            }
                        }
                        ?>
              </div>
              <?php if ($params_vista["mostrar_autor"] == '1' || $params_vista["mostrar_fecha"] == '1' || $params_vista["mostrar_comentarios"] == '1') { ?>
              <h5 class="data-info" style="text-transform:uppercase;padding-top: 7px;padding-bottom: 7px;padding-left: 10px;margin-bottom: 0;"><small >
                <?php if ($params_vista["mostrar_autor"] == '1') { ?>
                <span><?php echo $this->album->objeto->getcreador(true); ?></span> /
                <?php } ?>
                <?php if ($params_vista["mostrar_fecha"] == '1') { ?>
                <span><?php echo strftime(SistemaIdioma::formatoFecha(), strtotime($this->album->objeto->fecha_publicacion)); ?></span> /
                <?php } ?>
                <?php if ($params_vista["mostrar_comentarios"] == '1') { ?>
                <i class="fa fa-comments"></i> <a href="<?php echo $this->current_url; ?>#comentarios"><?php echo count($this->comentarios); ?></a>
                <?php } ?>
                </small></h5>
              <?php } ?>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
