<?php
defined('CONF_URL_APP') or die;

$texto_corto = SistemaIdioma::Imprimir($this->artista->objeto->texto_corto);
$contenido = SistemaIdioma::Imprimir($this->artista->objeto->contenido);

$params_vista = $this->artista->objeto->parametros_vista;

$titulo = SistemaIdioma::Imprimir($this->artista->titulo);

$img_dest = $this->artista->objeto->getimagen_destacada();

$params_artista = Helpers::toArray(json_decode($this->artista->objeto->params));

$loc_off = false;
if (empty($this->artista->objeto->latitud) || empty($this->artista->objeto->longitud) || empty($this->artista->objeto->localizacion_formateada)) {
    $loc_off = true;
}
?>

<div class="artistas_artista">
  <div class="row"> 
    <!-- Image Post -->
    <div class="col-md-12">
      <?php if ($params_vista["mostrar_titulo"] == '1') { ?>
      <h2 class="page-header"><?php echo $titulo; ?></h2>
      <?php } ?>
      <div class="<?php echo $GLOBALS['AppTpl']->params['clase_panel']; ?>">
        <?php if ($this->artista->objeto->getimagen_destacada(666, 277) != '' && $params_vista["mostrar_imagen"] == '1') { ?>
        <!-- Mini SLide -->
        <div id="carousel-artistas-artista" class="carousel slide" data-ride="carousel">
          <div class="carousel-inner">
            <div class="item active"> <a href="<?php echo $this->artista->objeto->imagen_destacada; ?>" class="fancybox thumbnail" style="margin-bottom:0;"><img src="<?php echo $this->artista->objeto->getimagen_destacada(666, 277); ?>" alt="<?php echo $titulo; ?>" width="100%" /></a> </div>
            <?php $params_pro = Helpers::toArray(json_decode($this->artista->objeto->params)); ?>
            <?php if (is_array($params_pro['galeria']) && sizeof($params_pro['galeria']) > 0 && $params_vista['mostrar_galeria_imagenes'] == '1') { ?>
            <?php
                            foreach ($params_pro['galeria'] as $img) {
                                if (is_object($img))
                                    $img = Helpers::toArray($img);
                                ?>
            <?php
                                $tipo = mime_content_type($img['img']);
                                $img['img'] = str_replace(CONF_URL_APP, '', $img['img']);
                                ?>
            <div class="item"> <a href="<?php echo $img['img']; ?>" class="fancybox thumbnail" style="margin-bottom:0;"><img src="<?php echo Helpers::generateImageLink($img['img'], 666, 277); ?>" alt="<?php echo $img['titulo']; ?>" width="100%" /></a> </div>
            <?php } ?>
            <?php } ?>
          </div>
        </div>
        <!-- End Mini SLide -->
        <?php } ?>
        
        <?php if (!empty($params_artista['email_link']) || !empty($params_artista['web_link']) || !empty($params_artista['myspace_link']) || !empty($params_artista['youtube_link']) || !empty($params_artista['jamendo_link'])  || !empty($params_artista['facebook_link'])){?>
          <div class="enlaces_artista panel-heading">
            <div class="enlaces_body">
              <div class="btn-group">
                  <?php if (!empty($params_artista['email_link'])){?>
                  <a class="btn btn-sm btn-primary" href="mailto:<?php echo $params_artista['email_link'];?>"><i class="fa fa-envelope"></i> <?php echo __('Email de contacto');?></a>
                    <?php } ?>
                    <?php if (!empty($params_artista['web_link'])){?>
                  <a class="btn btn-sm btn-primary" href="<?php echo $params_artista['web_link'];?>" target="_blank"><i class="fa fa-external-link"></i> <?php echo __('Web oficial');?></a>
                    <?php } ?>
                    <?php if (!empty($params_artista['facebook_link'])){?>
                  <a class="btn btn-sm btn-primary" href="<?php echo $params_artista['facebook_link'];?>" target="_blank"><i class="fa fa-facebook"></i> <?php echo __('Facebook');?></a>
                    <?php } ?>
                    <?php if (!empty($params_artista['youtube_link'])){?>
                  <a class="btn btn-sm btn-primary" href="<?php echo $params_artista['youtube_link'];?>" target="_blank"><i class="fa fa-youtube"></i> <?php echo __('YouTube');?></a>
                    <?php } ?>
                    <?php if (!empty($params_artista['jamendo_link'])){?>
                  <a class="btn btn-sm btn-primary" href="<?php echo $params_artista['jamendo_link'];?>" target="_blank"><?php echo __('Jamendo');?></a>
                    <?php } ?>
                    <?php if (!empty($params_artista['myspace_link'])){?>
                  <a class="btn btn-sm btn-primary" href="<?php echo $params_artista['myspace_link'];?>" target="_blank"><?php echo __('MySpace');?></a>
                    <?php } ?>
              </div>
            </div>
          </div>
          <?php } ?>
        
        
        <div class="contenido <?php if (!empty($GLOBALS['AppTpl']->params['clase_panel'])) { ?>panel-body<?php } ?>">
          <?php if (!empty($contenido)) { ?>
          <?php echo $contenido; ?>
          <?php } ?>
          <?php if (!empty($this->artista->campos_extra) && is_array($this->artista->campos_extra) && $params_vista['mostrar_campos_extra'] == '1') { ?>
          <hr>
          <h5><?php echo __('Otros datos'); ?></h5>
          <div class="campos_extra_list">
            <div class="in_campos_extra_list">
              <?php foreach ($this->artista->campos_extra as $campo) { ?>
              <div class="panel-body">
                <div class="row">
                  <div class="col-xs-4">
                    <label><?php echo SistemaIdioma::Imprimir($campo->etiqueta); ?></label>
                  </div>
                  <div class="col-xs-8"><?php echo $campo->renderFrontEnd(false); ?></div>
                </div>
              </div>
              <?php } ?>
            </div>
          </div>
          <?php } ?>
          <?php if (!empty($params_artista['componentes'][SistemaIdioma::getIdiomaSesion()])){?>
          <hr>
          <div class="componentes_artista">
            <div class="componentes_body">
              <h5><?php echo __('Componentes');?></h5>
              <div> <?php echo strip_tags($params_artista['componentes'][SistemaIdioma::getIdiomaSesion()],'<b><strong><i>');?> </div>
            </div>
          </div>
          <?php } ?>
          
        </div>
        <div class="<?php if (!empty($GLOBALS['AppTpl']->params['clase_panel'])) { ?>panel-footer<?php } ?>">
          <?php if ($params_vista["mostrar_autor"] == '1' || $params_vista["mostrar_fecha"] == '1' || $params_vista["mostrar_comentarios"] == '1') { ?>
          <small>
          <?php if ($params_vista["mostrar_autor"] == '1') { ?>
          <span><?php echo $this->artista->objeto->getcreador(true); ?></span> /
          <?php } ?>
          <?php if ($params_vista["mostrar_fecha"] == '1') { ?>
          <span><?php echo strftime(SistemaIdioma::formatoFecha(), strtotime($this->artista->objeto->fecha_publicacion)); ?></span> /
          <?php } ?>
          <?php if ($params_vista["mostrar_comentarios"] == '1') { ?>
          <i class="fa fa-comments"></i> <a href="<?php echo $this->current_url; ?>#comentarios"><?php echo count($this->comentarios); ?></a>
          <?php } ?>
          </small>
          <?php } ?>
        </div>
      </div>
    </div>
    <div class="col-md-12 contenido">
      <?php if (!empty($this->artista->objeto->tags) && $params_vista['mostrar_tags'] == '1') { ?>
      <div class="tags_list">
        <?php /* ?><h4><?php echo __('Etiquetas');?></h4><?php */ ?>
        <div class="in_tags_list" style="margin-bottom:20px;"> <?php echo $this->artista->objeto->gettags(true, ' label label-primary', ' '); ?> </div>
      </div>
      <?php } ?>
      <?php if (!empty($params_artista['mp3'])){?>
      <div class="mp3_artista">
        <div class="mp3_body <?php echo $GLOBALS['AppTpl']->params['clase_panel']; ?>">
          <div class="<?php if (!empty($GLOBALS['AppTpl']->params['clase_panel'])) { ?>panel-heading<?php } ?>">
            <h4 class="<?php if (!empty($GLOBALS['AppTpl']->params['clase_panel'])) { ?>panel-title<?php } ?>"><?php echo __('Escucha una canción de este grupo...');?></h4>
          </div>
          <?php if(substr($params_artista['mp3'],0,23)=='http://www.myspace.com/'){
		?>
          <a href="<?php echo $params_artista['mp3'];?>" target="_blank" class="button"><?php echo __('Escuchar en Myspace');?></a>
          <?php	
		} elseif (substr($params_artista['mp3'],0,23)=='http://www.youtube.com/') {
		?>
          <a href="<?php echo $params_artista['mp3'];?>" target="_blank" class="button"><?php echo __('Escuchar en Youtube');?></a>
          <?php	
		} elseif (substr($params_artista['mp3'],0,21)=='http://www.goear.com/') {
		?>
          <iframe width="100%" height="115" src="<?php echo $params_artista['mp3'];?>" marginheight="0" align="top" scrolling="no" frameborder="0" hspace="0" vspace="0" allowfullscreen></iframe>
          <p style="margin-bottom:0;"><a href="<?php echo $params_artista['mp3'];?>" target="_blank" class="pull-right" style="margin-right:10px;"><small><?php echo __('Escuchar en goear.com');?></small></a>
          <div class="clearfix"></div>
          </p>
          <?php	
		}  else { 
			if (!class_exists('getID3'))
				include CONF_REALPATH_APP . 'includes/library/getID3/getid3.php';
				
			if (!class_exists('getID3'))
				echo __('No existe la clase getID3 para leer archivos de audio');
				
			$getID3 = new getID3;
			$info_mp3 = $getID3->analyze(CONF_REALPATH_APP.urldecode($params_artista['mp3']));
			
			if (!empty($info_mp3['tags']['id3v1']['title'][0])){
				$titulo_cancion = $info_mp3['tags']['id3v1']['title'][0];
			} elseif (!empty($info_mp3['tags']['id3v2']['title'][0])){
				$titulo_cancion = $info_mp3['tags']['id3v2']['title'][0];
			} else {
				$titulo_cancion = __('Sin título');
			}
			
			if (!empty($info_mp3['tags']['id3v1']['artist'][0])){
				$artista_cancion = $info_mp3['tags']['id3v1']['artist'][0];
			} elseif (!empty($info_mp3['tags']['id3v2']['artist'][0])){
				$artista_cancion = $info_mp3['tags']['id3v2']['artist'][0];
			} else {
				$artista_cancion = $this->artista->objeto->titulo_formateado;
			}
			
			if (!empty($info_mp3['tags']['id3v1']['album'][0])){
				$album_cancion = $info_mp3['tags']['id3v1']['album'][0];
			} elseif (!empty($info_mp3['tags']['id3v2']['album'][0])){
				$album_cancion = $info_mp3['tags']['id3v2']['album'][0];
			} else {
				$album_cancion = __('Desconocido');
			}
			
			$img_cancion = '';
			if (!empty($info_mp3['comments']['picture'][0]['data'])){
				$img_cancion = "data:image/gif;base64," . base64_encode($info_mp3['comments']['picture'][0]['data']);
			}
			
		?>
          <div class="media" style="margin-top:0;">
            <?php if (!empty($img_cancion)){?>
            <img class="pull-left" src="<?php echo $img_cancion;?>" style="height:85px;" />
            <?php } ?>
            <div class="media-body">
              <div class="panel-body"> <?php echo __('Canción');?>: <b><?php echo $titulo_cancion;?></b> | <?php echo __('Artista');?>: <b><?php echo $artista_cancion;?></b> | <?php echo __('Album');?>: <b><?php echo $album_cancion;?></b> </div>
              <audio src="<?php echo $params_artista['mp3'];?>" controls style="width:100%;"></audio>
            </div>
          </div>
          <?php } ?>
        </div>
      </div>
      <?php } ?>
      <?php if ($params_vista["mostrar_localizacion"] == '1' && !$loc_off) { ?>
      <div class="<?php echo $GLOBALS['AppTpl']->params['clase_panel']; ?>">
        <div id="map-leaflet" data-icono="images/markers/marker.png" data-contenido="<?php echo htmlentities($this->artista->objeto->localizacion_html); ?>" data-longitud="<?php echo $this->artista->objeto->longitud; ?>" data-latitud="<?php echo $this->artista->objeto->latitud; ?>" data-zoom="16" data-clase-elementos="item-lista-dinamica" style="height: 200px; width: 100%!important; overflow: hidden; -webkit-transform: translateZ(0px); background-color: rgb(229, 227, 223);position: relative!important;right: auto;top: auto;bottom: auto;"> </div>
        <p class="bg-primary panel-body" style="margin-bottom:0px;"><i class="fa fa-globe"></i> <?php echo $this->artista->objeto->localizacion_formateada; ?></p>
      </div>
      <?php } ?>
    </div>
  </div>
</div>
