<?php
c_include('enlace');
e_include('ext_musica/class/artista');

class IdElementInputartista
{
	protected $_enlace=null;
	protected $_vista=null;
	protected $_opciones=null;
	
	public function __construct($enlace=null,$vista=null, $opciones=array())
    {
		if (!empty($enlace) && !empty($vista)){
			$this->_enlace = $enlace;
			$this->_vista = $vista;
			$this->_opciones = $opciones;
		}
	}
	
	function getInput(){
		if (($this->_enlace==null) || ($this->_vista==null))
			return '';
			
		$rand = rand();
		
		$cm_txt = '';
		if (!empty($_GET['custom_menu']))
			$cm_txt = '&custom_menu='.$_GET['custom_menu'];
		
		$output = '<div class="panel-body">';
		$output .= '<label id="id_elemento_enlace-lbl" for="id_elemento_enlace" class="tip-e" title="'.__('Artista').'::'.__('Artista a mostrar en la página').'">'.__('Artista').'</label>';
		$output .= '<br clear="all" />';
		if (empty($this->_opciones)){
			$txt_show_valor = '';
			if (!empty($this->_enlace->id_elemento)){
				$artista = new Artista();
				$artista->setid($this->_enlace->id_elemento);
				
				if ($artista = $artista->BuscarId()){
					$txt_show_valor = 'ID '.$artista->id.': '.Helpers::recortarTexto(strip_tags($artista->getTitulo()), 100);
				}
			}

			$output .= '<div class="input-group">
      <input type="text" class="form-control" readonly id="id_elemento_enlace_'.$rand.'_text" value="'.$txt_show_valor.'">
      <span class="input-group-btn">
        <a class="btn btn-default iframe-config" type="button" href="'.CONF_URL_APP_ADMIN.'?extension=ext_musica&vista=lista_select&idselect=id_elemento_enlace_'.$rand.'&popup=1'.$cm_txt.'" title="'.__('Seleccionar').'"><i class="fa fa-list-ul"></i></a>
      </span>
	  
	  <span class="input-group-btn">
        <a class="btn btn-danger" type="button" href="javascript:;" title="'.__('Quitar').'" onClick="javascript:Utilidades.alClearItem(\'id_elemento_enlace_'.$rand.'\');"><i class="fa fa-times"></i></a>
      </span>
	  
    </div><!-- /input-group -->
	<input type="hidden" id="id_elemento_enlace_'.$rand.'" name="id_elemento_enlace" value="'.$this->_enlace->id_elemento.'" />';

		}
		$output .= '</div>';
		return $output;
	}
}