<?php
defined('CONF_URL_APP') or die;

if (empty($_POST))
	Helpers::Panic();
	
c_include('sistemaIdioma');
e_include('ext_musica/class/pistaAlbum');

if (!class_exists('PistaAlbum'))
	Helpers::Panic();
	
$pista = new PistaAlbum();

if ($_POST['borrar'] == "true"){
	if (!empty($_POST['id'])){
		$pista->setid($_POST['id']);
		if ($pista=$pista->BuscarId()){
			if ($pista->Borrar()){
				c_include('cache/utilities');

				$cache_helper = new CacheUtilities();
				
				$cache_helper->cleanlist(array('ext_musica'));
				Helpers::Panic('ok');
			} else {
				Helpers::Panic(__('Se ha producido un error al intentar borrar la pista'));
			}
		} else {
			Helpers::Panic();
		}
	} else {
		Helpers::Panic();
	}
} else {
	if ($_POST["ext_pistas"]['detalles']['accion'] == 'editar'){
		$pista->setid($_POST["ext_pistas"]['detalles']['id']);
		if ($pista = $pista->BuscarId()){
		} else {
			Helpers::Panic();
		}
	}
	$array_contenido = array();
	$array_titulo = array();
	
	$array_contenido = Helpers::to_utf8($_POST["ext_pistas"]["detalles"]["contenido"]);
	$array_contenido = json_encode($array_contenido);
	
	$array_titulo = Helpers::to_utf8($_POST["ext_pistas"]["detalles"]["titulo"]);
	$array_titulo = json_encode($array_titulo);
			
	$pista->settitulo($array_titulo);
	$pista->seturl(utf8_decode($_POST["ext_pistas"]['detalles']['url']));
	$pista->setalbum($_POST["ext_pistas"]['detalles']['album']);
	$pista->setestado($_POST["ext_pistas"]["detalles"]["estado"]);
	$pista->setcontenido($array_contenido);
	$pista->setorden($_POST["ext_pistas"]["detalles"]["orden"]);
	$pista->setduracion($_POST["ext_pistas"]["detalles"]["duracion"]);
	
	switch ($_POST["ext_pistas"]['detalles']['accion']){
		case 'editar':
			if ($pista->Modificar()){
				c_include('cache/utilities');

				$cache_helper = new CacheUtilities();
				
				$cache_helper->cleanlist(array('ext_musica'));
				Helpers::Panic('ok');
			} else {
				Helpers::Panic(__('Error 500: No se ha podido guardar la pista'));
			}
			break;
			
		case 'nuevo':
			if ($pista->Guardar()){
				c_include('cache/utilities');

				$cache_helper = new CacheUtilities();
				
				$cache_helper->cleanlist(array('ext_musica'));
				Helpers::Panic('ok');
			} else {
				Helpers::Panic(__('Error 500: No se ha podido crear la pista'));
			}
			break;
	}
}
?>