<?php
defined('CONF_URL_APP') or die;

class PistaAlbum extends EntidadModel
{
	protected $dbt_const = "DBT_MUSICA_PISTAS_ALBUMS";
	protected $dbt = "musica_artistas_albums_pistas";
	
	protected $ext_folder = "ext_musica";
	
	protected $all_vars = array("id","titulo","contenido","url","estado","fecha","album","orden","creador","creador_alias","duracion");
	
	protected $idx_vars = array("id");
	protected $update_vars = array("titulo","contenido","url","estado","fecha","album","orden","creador","creador_alias","duracion");
	
	protected $campos_multilang = array("titulo","contenido");
	protected $campos_array = array();
	
	protected $plantilla_info_html = '
                            <div class="panel panel-info" style="margin-top: 10px;"><div class="panel-body">
                            <div class="col-xs-4 col-sm-1 col-md-1 col-lg-1" style="padding-left:0;"> <img class="img-rounded" src="##IMAGEN##" width="100%"> </div>
                            <div class="col-xs-8 col-sm-11 col-md-11 col-lg-11">
            <h4><b>##TITULO##</b></h4>
            <p style="margin-bottom:0;">##CONTENIDO_CORTO##</p>
                            </div>
                            </div></div>';
	
	function __construct(){
		parent::__construct();
	}
	
	function includes(){
		e_include('ext_musica/class/album','ext_musica/class/artista');
	}
	
    function getLink($url_amigable=false,$lang=null)
    {
        return false;
    }
	
    function getalbum($print_name=false)
    {
		if ($print_name == true){
			if ($this->album == '0'){
				return __('-- Sin album --');
			} else {
				$tmp = new PistaAlbum();
				$tmp_id = $this->album;
				$tmp->setid($tmp_id);
				if ($tmp = $tmp->BuscarId()){
					return SistemaIdioma::Imprimir($tmp->titulo);
				} else {
					return __('El album no existe');
				}
			}
		} else {
			return $this->album;
		}
    }
	
	function printDeleteButton($filename = null, $plantilla = '') {
        if (empty($this->id) || $filename == null)
            return false;

        $output = '';

        if (empty($plantilla)) {
            $output .= '<a id="deleteButton_' . $this->id . '" href="javascript:;" title="' . __('Borrar pista') . '" data-id="'.$this->id.'"><i class="fa fa-times"></i></a>';
        } else {
            $aid = "deleteButton_" . $this->id;
            $txt = __('Borrar pista');

            $tmp = str_replace('##ID##', $aid, $plantilla);
            $tmp = str_replace('##TXT##', $txt, $tmp);

            $output .= $tmp;
		}

        return $output;
    }
}
?>