<?php
/**
 * Modelo del listado de artículos de una categoría, permite manejar los listados de artículos de una categoría de forma fácil
 *
 * @package		Mideas.Sitios
 * @subpackage	Model
 * @since		1.0
 */

class AlbumsModel extends ListadoModel{
	
	protected $global_main_class = 'musica';
	
	protected $ext_folder = 'ext_musica';
	
	protected $categoria_class = 'EstiloMusica';
	protected $item_class = 'Album';
	
	protected $categoria_vista = 'albums';
	protected $item_vista = 'album';
	
	function __construct($id=''){
		parent::__construct($id);
	}
		
	public function includes(){
		//Clase requerida
		e_include('ext_musica/class/album','ext_musica/class/estiloMusica');
		$tmp_ct = new $this->categoria_class();
		$tmp_it = new $this->item_class();
	}
}